<template>
    <div class="container-fluid">
        <div class="row">
            <h2 class="my-4">Mes liens</h2>
        </div>
        <div class="row">
            <h3 class="my-4">Liens en vie</h3>
        </div>

        <div class="row">
        <Link v-for="link in aliveLinks"  :link="link" :key="link._id" @refreshLinks="refreshLinks"/>
        </div>
        <div class="row">
            <h3 class="my-4">Liens archivés</h3>
        </div>
        <div class="row">
            <Link v-for="link in archivedLinks"  :link="link" :key="link._id" @refreshLinks="refreshLinks"/>
        </div>
    </div>
</template>

<style>
</style>

<script>
import Link from './Link.vue';

export default {
    components: {Link},
    props: {
      links: {
        type: Array,
        required: false,
        default: []
      }
    },
    computed: {
        aliveLinks() {
            return this.links.filter(link => !link.archived);
        },
        archivedLinks() {
            return this.links.filter(link => link.archived);
        }
    },
    methods: {
        refreshLinks() {
            this.$emit('refreshLinks');
        }
    }
  }
</script>